# Interface RevisionRow

interface RevisionRow {
blobId ?: string;
contentLength ?: number;
dateCreated : string;
dateLastEdited ?: string;
isProtected ?: boolean;
mime : string;
noteId : string;
revisionId ?: string;
title : string;
type : string;
utcDateCreated : string;
utcDateLastEdited ?: string;
utcDateModified : string;
}

- Defined in becca/entities/rows.ts:19

#####
Index

### Properties

blobId?
contentLength?
dateCreated
dateLastEdited?
isProtected?
mime
noteId
revisionId?
title
type
utcDateCreated
utcDateLastEdited?
utcDateModified

##
Properties

### `Optional` blobId

blobId?: string

- Defined in becca/entities/rows.ts:26

### `Optional` contentLength

contentLength?: number

- Defined in becca/entities/rows.ts:32

### dateCreated

dateCreated: string

- Defined in becca/entities/rows.ts:28

### `Optional` dateLastEdited

dateLastEdited?: string

- Defined in becca/entities/rows.ts:27

### `Optional` isProtected

isProtected?: boolean

- Defined in becca/entities/rows.ts:24

### mime

mime: string

- Defined in becca/entities/rows.ts:23

### noteId

noteId: string

- Defined in becca/entities/rows.ts:21

### `Optional` revisionId

revisionId?: string

- Defined in becca/entities/rows.ts:20

### title

title: string

- Defined in becca/entities/rows.ts:25

### type

type: string

- Defined in becca/entities/rows.ts:22

### utcDateCreated

utcDateCreated: string

- Defined in becca/entities/rows.ts:30

### `Optional` utcDateLastEdited

utcDateLastEdited?: string

- Defined in becca/entities/rows.ts:29

### utcDateModified

utcDateModified: string

- Defined in becca/entities/rows.ts:31